#ifndef __EMISSION_H__
#define __EMISSION_H__

class Emission
{
 private:
  string name;
  ChemicalId id;
  float amount;

 public:
  Emission (string p_name, float p_amount);
  Emission (ChemicalId p_id, float p_amount);
  const string toString () const;
  void resolveChemicals (CellProgram *) ;
  ChemicalId getChemical () const;
  float getConcentration () const;
  void increaseConcentration (float) ;
};

# endif
