#ifndef __ENVIRONMENT_H__
#define __ENVIRONMENT_H__

class Environment
{
 private:
  EmissionList *emits;

 public:
  Environment ();
  ~Environment ();

  void reflect (Chemical *chem);

  void startIterator ();
  Emission *getNext ();
  bool hasMore ();
  void finishIterator ();

  string toString () const;
};

# endif
