#ifndef BISON_CPAGRAMMAR_TAB_H
# define BISON_CPAGRAMMAR_TAB_H

#ifndef YYSTYPE
typedef union
{
  CellProgram *cpa;
  CellState *state;
  CellTransition *transition;
  CellTransitionList *transitionList;
  ChemicalConcentration *concentration;
  ConcentrationList *concentrationList;
  EmissionList *emissionList;
  Emission *emission;
  string *cstring;
  double fnum;
  int inum;
  t_splitKind split;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	TOK_IDENTIFIER	257
# define	TOK_INTEGER	258
# define	TOK_FLOAT	259
# define	TOK_EMITS	260
# define	TOK_TO	261
# define	TOK_LTE	262
# define	TOK_LBRACE	263
# define	TOK_RBRACE	264
# define	TOK_NORMAL_X	265
# define	TOK_NORMAL_Y	266
# define	TOK_AXIS	267
# define	TOK_POLARIZED	268
# define	TOK_STATE	269
# define	TOK_TRANSITIONS	270
# define	TOK_COLOR	271


extern YYSTYPE yylval;

#endif /* not BISON_CPAGRAMMAR_TAB_H */
