#ifndef __CHEMICALCONCENTRATION_H__
#define __CHEMICALCONCENTRATION_H__

class ChemicalConcentration
{
 private:
  string name;
  ChemicalId id;
  float lowrange;
  float highrange;

 public:
  ChemicalConcentration (string p_name, float p_lowrange, float p_highrange);
  ChemicalConcentration (const ChemicalConcentration &);
  const string toString () const;
  void resolveChemicals (CellProgram *);
  bool matchesEnvironment (Environment *) const ;
};

# endif
