#ifndef __CONCENTRATIONLIST_H__
#define __CONCENTRATIONLIST_H__

class ConcentrationList
{
 private:
  // I'm sure there's a better C++ way to do this, but STL vector seems
  // very convoluted to me.
  // vector<ChemicalConcentration *> vec; 
  int nelements;
  int nspace;
  ChemicalConcentration **elements;
  void grow (void);

 public:
  ConcentrationList ();
  ~ConcentrationList ();

  void add (ChemicalConcentration *conc);
  void resolveChemicals (CellProgram *);
  const string toString () const;

  bool matchesEnvironment (Environment *env) const ;
};

# endif
